Bug 426437 - (CVE-2007-6341) CVE-2007-6341 Perl crash by crafted response to Net::DNS
CVE-2007-6341 Perl crash by crafted response to Net::DNS
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=none,public=20071028,reported=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 18:41 EST by Lubomir Kundrak
Modified: 2008-03-19 06:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-19 06:44:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-12-20 18:41:44 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6341 to the following vulnerability:

Net/DNS/RR/A.pm in Net::DNS 0.60 build 654, as used in packages such
as SpamAssassin and OTRS, allows remote attackers to cause a denial of
service (program "croak") via a crafted DNS response.

References:

http://www.securiteam.com/unixfocus/6I00E0UKKQ.html
https://rt.cpan.org/Public/Bug/Display.html?id=30316
Comment 1 Josh Bressers 2008-01-07 21:12:38 EST
This issue has no security impact.  The flaw will cause Net::DNS to "croak",
which in turn should be handled by the calling application.  In the case of
RHEL, the only known application that uses this functionality is Spamassassin. 
Spamassassin handles this failure gracefully and continues to function, minus
the DNS tests.
Comment 2 Dick Franks 2008-02-13 13:10:28 EST
This and similar vulnerabilities fixed in Net::DNS version 0.63.
Comment 3 Marcela Mašláňová 2008-03-19 05:10:17 EDT
Net::DNS version 0.63 is in rawhide.

Note You need to log in before you can comment on or make changes to this bug.